# 72. الاستعلام: الحصول على بيانات شبكية بصيغة GeoJSON أو GeoTIFF

استعلام للحصول على بيانات مصفوفة (مربعة) من مجموعات البيانات مثل "صورة\_القمر\_الصناعي\_الحقل"، "خريطة\_الميل\_الطبوغرافي"، "مجموعة\_بيانات\_التربة"، "مجموعة\_بيانات\_المحصول"، "مجموعة\_بيانات\_التطبيق"، "خريطة\_التحليل\_الشعاعي" كما `GEOJSON` بنقاط أو `GEOTIFF`.&#x20;

{% hint style="danger" %}
يوصى باسترداد مجموعة بيانات واحدة فقط باستخدام `sourceDataUrl` لكل طلب.&#x20;
{% endhint %}

`GEOTIFF` و `GEOJSON` متاحة كـ `تنسيقات`.

{% hint style="danger" %}
`sourceDataUrl` الرابط متاح فقط لمدة **60 ثانية.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetRawVectorDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    الاسم
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      الاسم
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        uuid
        sourceDataUrl(التنسيق: GEOTIFF)
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/72.-alastalam-alhswl-ala-byanat-shbkyh-bsyghh-geojson-aw-geotiff.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
